Package: groovy.org.codenarc.rule.unnecessary

## [Groovy] Class UnnecessaryObjectReferencesRule

- groovy.org.codenarc.rule.unnecessary.UnnecessaryObjectReferencesRule

- Violations are triggered when an excessive set of consecutive statements all reference the same variable. This can be made more readable by using a with or identity block.

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `int` | `maxReferencesAllowed`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### int maxReferencesAllowed

    - #### String name

    - #### int priority